OpenVDB: nanovdb/unittest/pnanovdb_validate_strides.h File Reference

OpenVDB 13.0.0

Loading...
Searching...
No Matches
pnanovdb_validate_strides.h File Reference

This header implements validation tests for the strides used in PNanaoVDB.h (instead of pointers). It can be used both for unit-testing (hence its location), but also to update PNanoVDB.h if the ABI changes in NanoVDB.h. More...

`#include <nanovdb/PNanoVDB.h>`

Go to the source code of this file.

## Functions
static pnanovdb_uint32_t | allocate (pnanovdb_uint32_t *poffset, pnanovdb_uint32_t size, pnanovdb_uint32_t alignment)
static void | compute_root_strides (pnanovdb_uint32_t grid_type, pnanovdb_uint32_t *background_off, pnanovdb_uint32_t *min_off, pnanovdb_uint32_t *max_off, pnanovdb_uint32_t *ave_off, pnanovdb_uint32_t *stddev_off, pnanovdb_uint32_t *total_size)
static void | compute_tile_strides (pnanovdb_uint32_t grid_type, pnanovdb_uint32_t *value_off, pnanovdb_uint32_t *total_size)
static void | compute_node_strides (pnanovdb_uint32_t grid_type, pnanovdb_uint32_t nodeLevel, pnanovdb_uint32_t *min_off, pnanovdb_uint32_t *max_off, pnanovdb_uint32_t *ave_off, pnanovdb_uint32_t *stddev_off, pnanovdb_uint32_t *table_off, pnanovdb_uint32_t *total_size)
static bool | validate_strides (int(*local_printf)(const char *format,...))

## Detailed Description

This header implements validation tests for the strides used in PNanaoVDB.h (instead of pointers). It can be used both for unit-testing (hence its location), but also to update PNanoVDB.h if the ABI changes in NanoVDB.h.

Author
  Andrew Reidmeyer

## Function Documentation

## ◆ allocate()

pnanovdb_uint32_t allocate | ( | pnanovdb_uint32_t * | poffset,
|  | pnanovdb_uint32_t | size,
|  | pnanovdb_uint32_t | alignment )
| static

## ◆ compute_node_strides()

void compute_node_strides | ( | pnanovdb_uint32_t | grid_type,
|  | pnanovdb_uint32_t | nodeLevel,
|  | pnanovdb_uint32_t * | min_off,
|  | pnanovdb_uint32_t * | max_off,
|  | pnanovdb_uint32_t * | ave_off,
|  | pnanovdb_uint32_t * | stddev_off,
|  | pnanovdb_uint32_t * | table_off,
|  | pnanovdb_uint32_t * | total_size )
| static

## ◆ compute_root_strides()

void compute_root_strides | ( | pnanovdb_uint32_t | grid_type,
|  | pnanovdb_uint32_t * | background_off,
|  | pnanovdb_uint32_t * | min_off,
|  | pnanovdb_uint32_t * | max_off,
|  | pnanovdb_uint32_t * | ave_off,
|  | pnanovdb_uint32_t * | stddev_off,
|  | pnanovdb_uint32_t * | total_size )
| static

## ◆ compute_tile_strides()

void compute_tile_strides | ( | pnanovdb_uint32_t | grid_type,
|  | pnanovdb_uint32_t * | value_off,
|  | pnanovdb_uint32_t * | total_size )
| static

## ◆ validate_strides()

bool validate_strides | ( | int(* | local_printf )(const char *format,...) | ) |
| static